<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["acc"] == true) {
$conta = $_GET["bacc_conta"];
$dias = $_GET["bacc_dias"];
$ver_acc = mssql_num_rows(mssql_query("select memb___id from memb_info where memb___id='".$conta."'"));
$ver_ban = mssql_fetch_row(mssql_query("select bloc_code from memb_info where memb___id='".$conta."'"));
if(empty($conta) || empty($dias)) {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($ver_acc < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Conta inválida</div>'));
}
elseif($ver_ban[0] > 0) {
	exit($bbcode->bbcode('<div class="box_conteudo">Essa conta já está banida</div>'));
}
else{
	mssql_query("update memb_info set bloc_code='1',".colum_ban_dias_acc."=".colum_ban_dias_acc."+'$dias' where memb___id='".$conta."'");
	exit($bbcode->bbcode('<div class="box_conteudo">Conta banida com sucesso</div>'));
}
}
if($_GET["desbanir"] == true) {
$login = $_GET["dacc_conta"];
$ver_login = mssql_num_rows(mssql_query("select memb___id from memb_info where memb___id='".$login."'"));
if($login == "") {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($ver_login < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Conta inválida</div>'));
}
else{
	mssql_query("update memb_info set bloc_code='0',".colum_ban_dias_acc."='0' where memb___id='".$login."'");
	exit($bbcode->bbcode('<div class="box_conteudo">Conta desbanida com sucesso</div>'));
}
}
if($_GET["char"] == true) {
$char = $_GET["bchar_nome"];
$dias = $_GET["bchar_dias"];
$ver_char = mssql_num_rows(mssql_query("select name from character where name='".$char."'"));
$ver_ban = mssql_fetch_row(mssql_query("select ctlcode from character where name='".$char."'"));
if(empty($char) || empty($dias)) {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
elseif($ver_ban[0] == 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Esse personagem já está banido</div>'));
}
else{
	mssql_query("update character set ctlcode='1',".colum_ban_dias_char."=".colum_ban_dias_char."+'$dias' where name='".$char."'");
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem banido com sucesso</div>'));
}
}
if($_GET["desbanir2"] == true) {
$char = $_GET["dchar_nome"];
$ver_char = mssql_num_rows(mssql_query("select name from character where name='".$char."'"));
if($char== "") {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
else{
	mssql_query("update character set ctlcode='0',".colum_ban_dias_char."='0' where name='".$char."'");
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem desbanido com sucesso</div>'));
}
}

?>